<?php
/* v.0.1 latest:2013/2/15 designed by 不惑仔
*/
class validux{
private $allowableTags='';
#validate
#檢驗至少有一大小寫字母及數字
public static function isAlphanumMixed($subject,$minChar=3,$maxChar=''){
	$p='/^(?=^[[:alnum:]]{'.$minChar.','.$maxChar.'}$)((?=.*[A-Za-z0-9])(?=.*[A-Z])(?=.*[a-z]))^.*$/';
	return (bool)preg_match($p,$subject);
}
#sanitize, 搭配 filter function 的 FILTER_CALLBACK $options 。
#清除但保留特定 tags
public static function allowSimpleTags($subject){
	$allowableTags='<a><strong>';
	return strip_tags($subject,$allowableTags);
}
#指定允許的 tags
public function allowTags($t){
	$this->allowableTags=$t;
}
#移除 tags, ASCII 小於 32 及大於 127 字元
#將 & 轉為 &#38;
#保留 allowTags() 指定的 tags
public function removeTags($subject){
	if($subject!==''){
		$subject=strip_tags($subject,$this->allowableTags);
		$subject=filter_var($subject,FILTER_UNSAFE_RAW,FILTER_FLAG_ENCODE_AMP|FILTER_FLAG_STRIP_LOW|FILTER_FLAG_STRIP_HIGH);
	 if(!empty($subject))
		 return $subject;
		else
		 return NULL;
	}
	else{
	 return NULL;
	}
}
}
?>